
//CHAPTER 6, ProjectCylinder - SOLUTION  //

/**
 * This class represents a Cylinder
 * Cylinder extends the cyrcle , because additionally 
 * it has a height. 
 * @author OOP Team
 */
 
public class Cylinder extends Circle {
	protected int height;
	
	//Constructors of class:

	/**
	* constructs a new Cylinder
	* @param center : the center of the circle
	* @param radius : the radius of the circle
	*/
	public Cylinder(Point center, int radius, int height){
		super(center, radius);
		this.height = height;
	}
	
	/**returns the area of the cylinder*/
	public double getArea(){
		return 2*super.getArea()+super.getPerimeter()*this.height;
	}
	
	/** returns the volume of the cylinder*/
	public double getVolume(){
		return super.getArea()*this.height;
	}
	
	public String toString(){
		return "The Cylinder:\n"+"The center of the base: "+
		this.center+"The radius of the base: "+this.radius
		 +"\nHeight: "+this.height+"\n";
	}
	
	  
}
