
//CHAPTER 6, ProjectCylinder - SOLUTION  //

/**
 * This class represents a Circle
 * @author OOP Team
 */

public class Circle {
	
	/** 
	 *The center of the circle
	 **/
	protected Point center;
	
	/**
	 * The radius of the circle
	 **/
	protected int radius;
	
	//Constructors of class:

	/**
	* constructs a new Circle
	* @param center : the center of the circle
	* @param radius : the radius of the circle
	*/
	public Circle ( Point center , int radius ){
		this.center = new Point(center);
		this.radius = radius;
	}
	
	// other methods in class:
	
	/**
	 * calculates the area of the Circle
	 **/
	 
	public double getArea ( ){
		return Math.PI*Math.pow(this.radius, 2);
	}
	
	/**
	 * calculates the perimeter of the Circle
	 **/
	 
	public double getPerimeter ( ){
		return 2*Math.PI*this.radius;
	}
	
	/** returns a string representation of circle*/
	
	public String toString(){
		return "The Circle:\n"+"The center of the circle:"+
		this.center+"The radius:"+this.radius+"\n";
	}


}
