//CHAPTER 6, Project ManyCards - SOLUTION  //
/**
 * This class contains a main function
 * that demonstrates polimorphysm of 
 * toString() of all kinds of cards.
 * @author OOP Team
 */
public class ManyCards {
	public static void main (String[] args){
		GreetingCard[] cards = new GreetingCard[5];
		   
		/*********************************************
		!!We initialize the array cards with object
		!!of different typs.
		!!We upcast objects of sub-classes to their
		!!super class GreetingCard.  
		**********************************************/
		cards[0] = new GreetingCard ("Debby","Dan");
		cards[1] = new BirthdayCard ("Debby","Dan",16);
		cards[2] = new WeddingCard("Joe","Marry","Debby");
		cards[3] = new YouthBirthday("Guy","eyal",5);
		cards[4] = new AdultBirthday("David", "Dina", 52);
		
		/*********************************************
		!!We call the same method (toString()) but each
		!!object executes it differentially.
		**********************************************/
		for(int i = 0; i < cards.length; i++){
			OutputWindow.println(cards[i].toString());
		}
    }//close main
}//close class
