public class Employee{

	public static final double MIN_SALARY=3200;

	protected String name;
	protected String lastName;
	private String emailAddress="";
	
	public Employee(String name,String lastName){
		this.name = name;
		this.lastName = lastName;
	}
	
	public Employee(String name,String lastName, String email){
		this.name = name;
		this.lastName = lastName;
		this.emailAddress = email; 
	}

	public String getEmail(){
		return this.emailAddress; 
	}

	public double calcSalary(){
		return MIN_SALARY;
	}
 
	public String toString(){
		String details;
		details ="Last Name: "+this.lastName;
		if(!emailAddress.equals("")){
			details += " Email: "+this.emailAddress;
		}
		return details+= " Salary: " + this.calcSalary();
	}
}//end of class Employee


