/**
 * This application prints the details of an Animal and a Mammal.
 * It demonstrates how to use classes with inheritance relationship.
 * @author Yuval Vidal
 */
public class Zoo {
	public static void main (String args[]) { 
		Animal animal = new Animal("Joe","male",15.5);
		Mammal mammal1 = new Mammal("Snow","female",1250, 2.5);
		Mammal mammal2 = new Mammal("Mitzi","female",2000, 4);
		
		System.out.println("Zoo: "+animal.toString()+mammal1.toString()+ 
			mammal2.toString());
		
		mammal1.setName("George");
		mammal1.setMilk(4);
		
		//animal.setMilk(3.2);//ILLEGAL
		
		mammal1.nurseFrom(mammal2);
		
		//animal.nurseFrom(mammal2) //ILLEGAL
		
		System.out.println("Zoo: "+animal.toString()+mammal1+mammal2);
 	}
}
